#
# Artifactory is a binaries repository manager.
# Copyright (C) 2012 JFrog Ltd.
#
# Artifactory is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Artifactory is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
#

###############################################################################
#  Use this file to override system-level properties used by artifactory.     #
#  Artifactory-specific properties beginning with the "artifactory." prefix   #
#  will be handled internally by artifactory - you should change them only if #
#  you know what you are doing.                                               #
#  All other properties will become normal (jvm-wide) system properties, so   #
#  this file can be used as an alternative for specifying comand-line         #
#  -Dparam=val parameters.                                                    #
###############################################################################

## Comma separated list of disabled addons
#artifactory.addons.disabled=

## Path to alternate Jackrabbit configuration file. Used to change DB and DataStore type
## Provided examples are: repo/derby, repo/mysql, repo/filesystem-derby, repo/filesystem-mysql,
## repo/oracle, repo/postgresql, repo/mssql
#artifactory.jcr.configDir=null

## Name of alternate application context class to use
#artifactory.applicationContextClass=null

## Indicates whether a different instance of Artifactory can request remote artifacts from this instance
#artifactory.artifactoryRequestsToGlobalCanRetrieveRemoteArtifacts=false

## Number of seconds for fs items to idle in the cache
#artifactory.fsitem.cache.idleTimeSecs=1200

## Maximum number of items allowed to remove on every deletion of the garbage collector
#artifactory.gc.batchDeleteMaxSize=30

## Number of seconds to wait between running the storage garbage collector. Use the UI to configure as cron exp
#artifactory.gc.intervalSecs=14400

## Number of milliseconds the garbage collector should wait between the scanning of each node
#artifactory.gc.sleepBetweenNodesMillis=20

## Number of milliseconds to wait before starting to sleep between garbage collector node scanning iterations
#artifactory.gc.scanStartSleepingThresholdMillis=20000

## Number of milliseconds to sleep between garbage collector node scanning iterations
#artifactory.gc.scanSleepBetweenIterationsMillis=200

## Number of milliseconds to work between garbage collector datastore file scanning sleep invocations
#artifactory.gc.fileScanSleepIterationMillis=1000

## Number of milliseconds to sleep during lengthy garbage collector datastore file scanning
#artifactory.gc.fileScanSleepMillis=250

## The maximum binary record cache entries. Apllicable only for v2 gc
#artifactory.gc.maxCacheEntries=10000

## Runs Jackrabbit's persistence manager consistency check + fix on startup
#artifactory.jcr.fixConsistency=false

## Maximum size of Jackrabbit's session pool
#artifactory.jcr.session.pool.maxSize=30

## Number of seconds to wait until timing out while waiting for an item lock to be acquired
#artifactory.locks.timeoutSecs=120

## Whether to print detailed debug information on lock timeouts
#artifactory.locks.debugTimeouts=false

## Number of seconds to wait between each refresh of the system logs viewer
#artifactory.logs.viewRefreshRateSecs=10

## Number of hours to wait between each repo auto-cleanup job
#artifactory.repo.cleanup.intervalHours=1

## The maximum number of seconds to wait when blocking on a concurrent download from the same repository, before
## starting a parallel download
# artifactory.repo.concurrentDownloadSyncTimeoutSecs=900

## Indicates if all stored archives should be indexed (even if already done) upon system startup
#artifactory.search.content.forceArchiveIndexing=false

## Maximum number of excerpt fragments to return for each result when searching archive content through the UI
#artifactory.search.content.maxFragments=500

## Maximum number of characters for each fragment
#artifactory.search.content.maxFragmentsSize=5000

## Maximum number of results to return when searching through the UI
#artifactory.search.maxResults=500

## The backend limit of maximum results to return from jcr queries issued by users. Should be higher than maxResults.
#artifactory.search.userQueryLimit=1000

## The minimum number of characters allowed for an archive content query.
#artifactory.search.archive.minQueryLength=3

## The maximum number of seconds that should be spent on a pattern search
#artifactory.search.pattern.timeoutSecs=30

## Whether to index xml docs for xpath searches. If you don't need this feature leave on false for best performance
#artifactory.search.xmlIndexing=false

## Use v2 storage for some searches instead of Lucene
#artifactory.search.artifactSearch.useV2Storage=true

## Number of seconds for authentications to idle in the cache
#artifactory.security.authentication.cache.idleTimeSecs=300

## Minimal number of seconds that should be the difference between each user last access timestamp 
#artifactory.security.userLastAccessUpdatesResolutionSecs=60

## Path to alternate Spring configuration file
#artifactory.spring.configDir=null

## Number of lock timeouts to retry while waiting for a task to complete
#artifactory.task.completionLockTimeoutRetries=100

## Whether logging and processing of traffic is active  
#artifactory.traffic.collectionActive=false

## Number of seconds to wait between each version information update query
#artifactory.versioningQueryIntervalSecs=43200

## The substring by which a remote host is identified as Maven's central host
#artifactory.mvn.central.hostPattern=.maven.org

## The maximum frequency in seconds that a remote index on Maven central host can be queried for updates
#artifactory.mvn.central.indexerMaxQueryIntervalSecs=86400

## Fully qualified name of a maven metadata version comparator to determine the latest and release versions
#artifactory.mvn.metadataVersionsComparatorFqn=org.artifactory.maven.versioning.VersionNameMavenMetadataVersionComparator

## Add additional xml mime type file extensions (*.myextension). Separated by ","
#artifactory.xmlAdditionalMimeTypeExtensions=myextension1,myextension2

## Max number of folders to scan deeply for items used as build artifact or dependencies before deleting to warn of
#artifactory.build.maxFoldersToScanForDeletionWarnings=2

## The node id when running jackrabbit in cluster mode
#org.apache.jackrabbit.core.cluster.node_id=node1

## Size for the derby page cache
derby.storage.pageCacheSize=500

## Disable the Derby JMX management service
derby.module.mgmt.jmx=org.apache.derby.impl.services.jmxnone.NoManagementService

## Log all errors/messages of any severity (will list deadlocks)
derby.stream.error.logSeverityLevel=0

## Log all executed statements along with their txid
derby.language.logStatementText=false

## Log all deadlocks
#derby.locks.monitor=true

## Writes a stack trace of all threads involved in lock problems # -- (not just the victims) to the log
#derby.locks.deadlockTrace=true

## Threshold for the number rows touched above which to auto-escalate to table-level locking from row-level locking
#derby.locks.escalationThreshold=5000

## Defines the maximum size of text to parse through the text highlighting script
#artifactory.ui.syntaxColoringMaxTextSizeBytes=512000

## Defines the default chroot for UI file\dir selectors that browse machine Artifactory was installed on
#artifactory.ui.chroot=/home/bob

## Defines the maximum number of files to retain when maintaining a rolling file policy
#artifactory.file.roller.maxFileToRetain=10

## Number of milliseconds to work between system backup file export sleep invocations
#artifactory.backup.fileExportSleepIterationMillis=2000

## Number of milliseconds to sleep during lengthy system backup file exports
#artifactory.backup.fileExportSleepMillis=250

## Number of seconds to check for updates of plugin script files (0 - do not refresh updates scripts)
#artifactory.plugin.scripts.refreshIntervalSecs=0

## Send the Accept-Encoding:gzip header to remote repositories and handle gzip stream responses
#artifactory.http.acceptEncoding.gzip=true

# use the Expect continue directive
#artifactory.http.useExpectContinue=false

# The lower-limit of a filtered resource size for which a performance warning will be displayed
#filtering.resourceSizeKb=64

# Whether to search for an an existing resource under a different name before requesting a remote artifact
#artifactory.repo.remote.checkForExistingResourceOnRequest=true

# Comma separated list of global excludes to apply on all repositories
#artifactory.repo.includeExclude.globalExcludes=**/*~,**/#*#,**/.#*,**/%*%,**/._*,**/CVS,**/CVS/**,**/.cvsignore,**/SCCS,**/SCCS/**,**/vssver.scc,**/.svn,**/.svn/**,**/.DS_Store

## Number of seconds for dynamic metadata to be cached
#artifactory.mvn.dynamicMetadata.cacheRetentionSecs=10

## Possible names of license files within archives
#artifactory.archive.licenseFile.names=license,LICENSE,license.txt,LICENSE.txt,LICENSE.TXT

## Determines the maximum number of rows to display per result page
#artifactory.ui.search.maxRowsPerPage=20

## Maximum number of results to return when performing NuGet searches without specifying a limit
#artifactory.nuget.search.maxResults=100